Categories:
  - Games
License: AGPL-3.0-or-later
AuthorName: Simon Dalvai
AuthorEmail: fdroid@simondalvai.com
AuthorWebSite: https://simondalvai.com
WebSite: https://simondalvai.com/games/ball2box/
SourceCode: https://github.com/dulvui/ball2box/
IssueTracker: https://github.com/dulvui/ball2box/issues
Donate: https://ko-fi.com/simondalvai

Name: Ball2Box
AutoName: godot-project-name

RepoType: git
Repo: https://github.com/dulvui/ball2box.git

Builds:
  - versionName: 2.2.2
    versionCode: 37
    commit: 860e95a2723cb72cec17f2b474747ba4cc786f09
    subdir: game/android/build
    sudo:
      - apt-get update
      - apt-get install -y clang gettext pkg-config scons
    gradle:
      - yes
    output: build/outputs/apk/release/android_release.apk
    srclibs:
      - Godot@6fed1ffa313c6760fa88b368ae580378daaef0f0
    prebuild: sed -i -e '/Load keystore/,+3d' -e '/storeFile/,+3d' build.gradle
    scanignore:
      - game/android/build/assets/_cl_
      - game/android/build/build.gradle
    build:
      - pushd $$Godot$$
      - export ANDROID_NDK_ROOT=$$NDK$$
      - scons -j `nproc` platform=server target=release_debug use_llvm=yes unix_global_settings_path=".."
        tools=yes android_arch=armv7 profile=../ball2box/fdroid/godot-build-options.py
      - scons -j `nproc` use_llvm=yes p=android target=release android_arch=armv7
        profile=../ball2box/fdroid/godot-build-options.py
      - scons -j `nproc` platform=server target=release_debug use_llvm=yes unix_global_settings_path=".."
        tools=yes android_arch=arm64v8 profile=../ball2box/fdroid/godot-build-options.py
      - scons -j `nproc` use_llvm=yes p=android target=release android_arch=arm64v8
        profile=../ball2box/fdroid/godot-build-options.py
      - cd platform/android/java/
      - gradle assembleRelease
      - popd
      - mkdir -p libs/release
      - cp $$Godot$$/platform/android/java/lib/build/outputs/aar/godot-lib.release.aar
        libs/release/
    ndk: r23c

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 2.2.2
CurrentVersionCode: 37
